summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-11-01 10:34:05 +0000
committerLeah Rowe <leah@libreboot.org>2023-11-01 16:36:16 +0000
commit1f1498be7421ae4500ad0d6d40ca0eefbcf8f1a2 (patch)
tree6dec94c650526e5f2e345a5c15aef94825ff50f0
parent82bd87fa160a4f37136ad04a33091b08eb48d829 (diff)
Libreboot 2023110120231101
Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--config/coreboot/e6430_12mb/target.cfg6
-rw-r--r--config/git/www2
-rw-r--r--config/grub/patches/0001-borderfix/0002-say-the-name-libreboot-in-the-grub-menu.patch2
-rwxr-xr-xinclude/git.sh4
-rwxr-xr-xscript/update/release18
-rwxr-xr-xscript/vendor/inject4
6 files changed, 24 insertions, 12 deletions
diff --git a/config/coreboot/e6430_12mb/target.cfg b/config/coreboot/e6430_12mb/target.cfg
index 7b790a9..1cf0792 100644
--- a/config/coreboot/e6430_12mb/target.cfg
+++ b/config/coreboot/e6430_12mb/target.cfg
@@ -2,8 +2,10 @@ tree="default"
romtype="normal"
arch="x86_64"
payload_grub="n"
-payload_seabios_withgrub="n"
+payload_grub_withseabios="n"
payload_seabios="y"
-payload_seabios_withgrub="y"
payload_memtest="y"
+payload_seabios_withgrub="y"
+payload_seabios_grubonly="y"
grub_scan_disk="ahci"
+microcode_required="n"
diff --git a/config/git/www b/config/git/www
index 0852ac3..ec9a6fe 100644
--- a/config/git/www
+++ b/config/git/www
@@ -1,5 +1,5 @@
{www}{
- rev: f3001eae5724ef38fe512a378148a2d619a0ff24
+ rev: 6ebb88528e342cae48ee75a6f1bfa1b71002e1c3
loc: www
url: https://codeberg.org/libreboot/lbwww
bkup_url: https://git.disroot.org/libreboot/lbwww
diff --git a/config/grub/patches/0001-borderfix/0002-say-the-name-libreboot-in-the-grub-menu.patch b/config/grub/patches/0001-borderfix/0002-say-the-name-libreboot-in-the-grub-menu.patch
index afc786b..9beae16 100644
--- a/config/grub/patches/0001-borderfix/0002-say-the-name-libreboot-in-the-grub-menu.patch
+++ b/config/grub/patches/0001-borderfix/0002-say-the-name-libreboot-in-the-grub-menu.patch
@@ -16,7 +16,7 @@ index bd4431000..31308e16a 100644
grub_term_cls (term);
- msg_formatted = grub_xasprintf (_("GNU GRUB version %s"), PACKAGE_VERSION);
-+ msg_formatted = grub_xasprintf (_("Libreboot 20231021 release, based on coreboot. https://libreboot.org/"));
++ msg_formatted = grub_xasprintf (_("Libreboot 20231101 release, based on coreboot. https://libreboot.org/"));
if (!msg_formatted)
return;
diff --git a/include/git.sh b/include/git.sh
index f97e5e6..fa53fed 100755
--- a/include/git.sh
+++ b/include/git.sh
@@ -137,7 +137,9 @@ git_am_patches()
for patch in "${patchdir}/"*; do
[ -L "${patch}" ] && continue
[ -f "${patch}" ] || continue
- if ! git am "${patch}"; then
+ patchfail="n"
+ git am "${patch}" || patchfail="y"
+ if [ "${patchfail}" = "y" ]; then
git am --abort || err "${sdir}: !git am --abort"
err "!git am ${patch} -> ${sdir}"
fi
diff --git a/script/update/release b/script/update/release
index 21fa8b6..4febec8 100755
--- a/script/update/release
+++ b/script/update/release
@@ -95,6 +95,7 @@ build_release()
# now test the vendor insert script, using the release archive:
(
cd "${srcdir}" || err "!cd ${srcdir}"
+ mkfakeroms
for vrom in ../roms/*.tar.xz; do
[ -f "${vrom}" ] || continue
case "${vrom}" in
@@ -129,11 +130,7 @@ fetch_trees()
mkrom_images()
{
- # fake me.bin to make x201 roms build
- mkdir -p "vendorfiles/cache/" || \
- err "mkvdir: !mkdir -p \"vendorfiles/cache/\""
- dd if=/dev/zero of="vendorfiles/cache/x201_factory.rom" \
- bs=68k count=1 || err "mkvdir: can't make fake x201_factory.rom"
+ mkfakeroms
./build roms all || err "${_xm}: roms-all"
./build serprog rp2040 || err "${_xm}: rp2040"
@@ -147,6 +144,15 @@ mkrom_images()
mv "release/${version}/roms/" ../roms || err "${_xm}: copy roms/"
}
+mkfakeroms()
+{
+ # fake me.bin to make x201 roms build
+ mkdir -p "vendorfiles/x201/" || \
+ err "mkvdir: !mkdir -p \"vendorfiles/x201/\""
+ dd if=/dev/zero of="vendorfiles/x201/me.bin" \
+ bs=68k count=1 || err "mkvdir: can't make fake x201 me.bin"
+}
+
handle_rom_archive()
{
builddir="${1}"
@@ -272,7 +278,7 @@ mktarball()
[ "${2%/*}" = "${2}" ] || mkdir -p "${2%/*}" || err "mk, !mkdir -p \"${2%/*}\""
if [ "${tar_implementation% *}" = "tar (GNU tar)" ]; then
tar --sort=name --owner=root:0 --group=root:0 \
- --mtime="UTC 2023-10-21" -c "${1}" | xz -T0 -9e > "${2}" || \
+ --mtime="UTC 2023-11-01" -c "${1}" | xz -T0 -9e > "${2}" || \
err "mktarball 1, ${1}"
else
# TODO: reproducible tarballs on non-GNU systems
diff --git a/script/vendor/inject b/script/vendor/inject
index db8004e..93017ce 100755
--- a/script/vendor/inject
+++ b/script/vendor/inject
@@ -39,7 +39,9 @@ main()
check_board()
{
- if ! check_release "${archive}" ; then
+ failcheck="n"
+ check_release "${archive}" || failcheck="y"
+ if [ "${failcheck}" = "y" ]; then
[ -f "${rom}" ] || \
err "check_board: \"${rom}\" is not a valid path"
[ -z "${rom+x}" ] && \